

function createAssignmentForm(assID, url){
  
  $('#assignmentdetaillist').text("");
  
	$.ajax({
    type: "GET",
    url: "../server/",
	  dataType: "xml",
    success: function(xml) {
      $(xml).find('station').each(function(index){
          $('#assignmentstation').append('<option value="' + $(this).attr('id') +'">' + $(this).attr('id') +'</option>');
      });
    }
  });
  
  if (assID == null){
    $('#storedassignments').css("display", "none");
    $('#assignmentLupe').css("display", "block"); 
    $('#addExternalImageAssignment').removeAttr('disabled');
    $('#addExternalImageAssignment').val("");
    
  
  }
  else{
    $('#storedassignments').css("display", "block");
    $('#assignmentLupe').css("display", "none");    
    $('#addExternalImageAssignment').attr('disabled','disabled');
    $('#addExternalImageAssignment').val(url);
    
    
    
    //Show Assignments
    
    $.getJSON( "../server/assignments/" + assID, function( data ) {
      
      
      console.log(data);
    
      $.each( data, function(i, alldata){
        
        var clonePattern = document.importNode(document.querySelector('#singleassignment').content,true);
        $('[data-class=station]',clonePattern).text("Station " + i);
        
        $('#assignmentdetaillist').append(clonePattern);
      
        $.each( alldata, function(i, item){
          var clonePattern = document.importNode(document.querySelector('#singleassignment').content,true);
          $('[data-class=item]',clonePattern).text(item);
          $('[data-class=delete] a',clonePattern).attr('href','javascript:deleteSingleAssignment(' + assID +', ' + i + ');');
          
          $('#assignmentdetaillist').append(clonePattern);
        });
      });
    });
    
  }
  
  
  
  $('#assignment_details').css("display", "block");
}


//called when new image is selected
function getImgText(imgtext){
  var result = /[^;]*$/.exec(imgtext)[0];
  if(result != imgtext){
    $('#assignmentText').val(result.replace(/\.[^/.]+$/, ""))
  }
}

function submitAssignment(){
  var obj = new Object();
  obj.img = $('#addExternalImageAssignment').val();
  obj.station = $('#assignmentstation option:selected').text();
  obj.parts = {};  
  abk.forEach(function(item){
    if(typeof $("#FormPatternAssignment_Form_" + item).val() !== 'undefined' && typeof $("#FormPatternAssignment_Form_" + item).val() !== 'undefined'){
      if($("#FormPatternAssignment_Form_" + item).find(":selected").text() != ""){
        obj.parts[item] = $("#FormPatternAssignment_Form_" + item).find(":selected").text();
      }
    }
  });
  obj.assignmentText = $('#assignmentText').val();
  $.ajax({
    type: "Post",
		data: JSON.stringify(obj),
		headers: {"content-id": "list"},
    contentType: "application/json",
    url: "../server/assignments/",
    success: function(res) {
    },
    error: function (request, status, error) {
      alert(request.responseText + status + error);
    }
  });
  
  
  
}

function deleteAssignment(assignmentID) { //Delete From DB
  if (confirm('Are you really, really, REALLY sure!')) {
    $.ajax({
      type: "DELETE",
      url: "../server/assignments/" + assignmentID,
      success: function(res) { 
        location.reload();
      }
    });
  }
}

function deleteSingleAssignment(assignmentID, patternID) { //Delete From DB
  if (confirm('Are you really, really, REALLY sure!')) {
    $.ajax({
      type: "DELETE",
      url: "../server/assignments/" + assignmentID + "/" + patternID,
      success: function(res) { 
        location.reload();
      }
    });
  }
}

function initAssignment(){
  $.getJSON( "../server/assignments/", function( data ) {
    $.each( data, function(i, item){
      console.log("ID " + i + " image " + item)      
          var clonePattern = document.importNode(document.querySelector('#assignmentitem').content,true);
          $('[data-class=item] a',clonePattern).text(item);
          $('[data-class=item] a',clonePattern).attr('href','javascript:createAssignmentForm(' + i + ',"' + item + '");');
          //$('[data-class=duplicate] a',clonePattern).attr('href','javascript:duplicatePattern(' + curstation + ','+ $(this).attr('id') + ');');
          $('[data-class=delete] a',clonePattern).attr('href','javascript:deleteAssignment(' + i + ');');
          
          $('#assignmentslist').append(clonePattern);
      });
  });
}




$(document).ready(function() {
  initAssignment();
  
  $(document).on('submit', '#assignmentform', function() { //prevent page reload on form submit
    return false;
  });
  
  /*
  loadStationsForm();
  getAllFolders();
  //press enter to fill out patternform
  $("#slicerpatterninput").bind("keypress", {}, fillpatternForm);


  
  $.getJSON( "../server/json/SlicerConfig.json", function( data ) {
    if(!data["SlicerRectForm"]){
      $("#addRectanglesGroup").hide();
      $("#imgRectangles").hide();
      $("#Json2ClipboardGroup").hide();
    }
  });
  
  
  
  $("#showJson").click(function() {
    showJson();
  });
  
  $("#multiCut").click(function() {
    getAllFiles($('#selectfolders').val());
    
  });
  
  $('#pattern2').text("");
  var clone = document.importNode(document.querySelector('#patternClone').content,true);
  $('[data-class=part]',clone).limitkeypress({rexp: keypressRegex()});
  $("#pattern2").append(clone);
  
  
  //handle zoom event in order to fix rectangle position
  window.addEventListener("resize", resizeAllRect, false); 
  */
  
});